//[claysdk](../../../index.md)/[com.myclay.claysdk.api.error](../index.md)/[ClayException](index.md)

# ClayException

[androidJvm]\
class [ClayException](index.md) : [Exception](https://developer.android.com/reference/kotlin/java/lang/Exception.html)

The model class for the exceptions thrown by the library

## Constructors

| | |
|---|---|
| [ClayException](-clay-exception.md) | [androidJvm]<br>fun [ClayException](-clay-exception.md)(errorCode: [ClayErrorCode](../-clay-error-code/index.md))<br>Creates a new ClayException using the error code supplied as a parameter. The message is inferred internally |
| [ClayException](-clay-exception.md) | [androidJvm]<br>fun [ClayException](-clay-exception.md)(exception: JustinException)<br>Creates a new ClayException based on a JustinException |

## Functions

| Name | Summary |
|---|---|
| [addSuppressed](index.md#282858770%2FFunctions%2F493929636) | [androidJvm]<br>fun [addSuppressed](index.md#282858770%2FFunctions%2F493929636)(p0: [Throwable](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html)) |
| [fillInStackTrace](index.md#-1102069925%2FFunctions%2F493929636) | [androidJvm]<br>open fun [fillInStackTrace](index.md#-1102069925%2FFunctions%2F493929636)(): [Throwable](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html) |
| [getLocalizedMessage](index.md#1043865560%2FFunctions%2F493929636) | [androidJvm]<br>open fun [getLocalizedMessage](index.md#1043865560%2FFunctions%2F493929636)(): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [getStackTrace](index.md#2050903719%2FFunctions%2F493929636) | [androidJvm]<br>open fun [getStackTrace](index.md#2050903719%2FFunctions%2F493929636)(): [Array](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-array/index.html)&lt;[StackTraceElement](https://developer.android.com/reference/kotlin/java/lang/StackTraceElement.html)&gt; |
| [getSuppressed](index.md#672492560%2FFunctions%2F493929636) | [androidJvm]<br>fun [getSuppressed](index.md#672492560%2FFunctions%2F493929636)(): [Array](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-array/index.html)&lt;[Throwable](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html)&gt; |
| [initCause](index.md#-418225042%2FFunctions%2F493929636) | [androidJvm]<br>open fun [initCause](index.md#-418225042%2FFunctions%2F493929636)(p0: [Throwable](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html)): [Throwable](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html) |
| [printStackTrace](index.md#-1769529168%2FFunctions%2F493929636) | [androidJvm]<br>open fun [printStackTrace](index.md#-1769529168%2FFunctions%2F493929636)()<br>open fun [printStackTrace](index.md#1841853697%2FFunctions%2F493929636)(p0: [PrintStream](https://developer.android.com/reference/kotlin/java/io/PrintStream.html))<br>open fun [printStackTrace](index.md#1175535278%2FFunctions%2F493929636)(p0: [PrintWriter](https://developer.android.com/reference/kotlin/java/io/PrintWriter.html)) |
| [setStackTrace](index.md#2135801318%2FFunctions%2F493929636) | [androidJvm]<br>open fun [setStackTrace](index.md#2135801318%2FFunctions%2F493929636)(p0: [Array](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-array/index.html)&lt;[StackTraceElement](https://developer.android.com/reference/kotlin/java/lang/StackTraceElement.html)&gt;) |

## Properties

| Name | Summary |
|---|---|
| [cause](index.md#-654012527%2FProperties%2F493929636) | [androidJvm]<br>open val [cause](index.md#-654012527%2FProperties%2F493929636): [Throwable](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html)? |
| [errorCode](error-code.md) | [androidJvm]<br>var [errorCode](error-code.md): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>Setter for the errorCode property |
| [message](index.md#1824300659%2FProperties%2F493929636) | [androidJvm]<br>open val [message](index.md#1824300659%2FProperties%2F493929636): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? |
